######################
# Hardcode PLF build
%bcond_with plf
######################

%if %{with plf}
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif

%define oname OpenSubdiv

%define sversion %(echo "%{version}" | sed -e "s/\\\./_/g")

%define major %{version}
%define libosdcpu %mklibname osdCPU %{major}
%define libosdgpu %mklibname osdGPU %{major}
%define devname %mklibname %{name} -d

Summary:	An open source subdivision surface library
Name:		opensubdiv
Version:	3.0.4
Release:	1%{?extrarelsuffix}
License:	Apache
Group:		System/Libraries
Url:		http://graphics.pixar.com/opensubdiv/
Source0:	https://github.com/PixarAnimationStudios/OpenSubdiv/archive/%{oname}-%{sversion}.tar.gz
Patch0:		OpenSubdiv-3_0_4-libdir.patch
BuildRequires:	cmake
BuildRequires:	clew-devel
BuildRequires:	gomp-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xxf86vm)
%if %{with plf}
# CUDA is x86_64 only now
BuildRequires:	nvidia-cuda-toolkit-devel
ExclusiveArch:	x86_64
%endif

%description
OpenSubdiv is a set of open source libraries that implement high performance
subdivision surface (subdiv) evaluation on massively parallel CPU and GPU
architectures. This code path is optimized for drawing deforming surfaces
with static topology at interactive framerates.

#----------------------------------------------------------------------------

%package -n %{libosdcpu}
Summary:	An open source subdivision surface library
Group:		System/Libraries

%description -n %{libosdcpu}
OpenSubdiv is a set of open source libraries that implement high performance
subdivision surface (subdiv) evaluation on massively parallel CPU and GPU
architectures. This code path is optimized for drawing deforming surfaces
with static topology at interactive framerates.

%files -n %{libosdcpu}
%{_libdir}/libosdCPU.so.%{major}

#----------------------------------------------------------------------------

%package -n %{libosdgpu}
Summary:	An open source subdivision surface library
Group:		System/Libraries

%description -n %{libosdgpu}
OpenSubdiv is a set of open source libraries that implement high performance
subdivision surface (subdiv) evaluation on massively parallel CPU and GPU
architectures. This code path is optimized for drawing deforming surfaces
with static topology at interactive framerates.

%files -n %{libosdgpu}
%{_libdir}/libosdGPU.so.%{major}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for an open source subdivision surface library
Group:		Development/C
Requires:	%{libosdcpu} = %{EVRD}
Requires:	%{libosdgpu} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for an open source subdivision surface library.

%files -n %{devname}
%dir %{_includedir}/opensubdiv/
%{_includedir}/opensubdiv/*
%{_libdir}/libosdCPU.so
%{_libdir}/libosdGPU.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{sversion}
%patch0 -p1

%build
%cmake \
	-DNO_DOC:BOOL=ON
%make

%install
%makeinstall_std -C build

# Remove tests
rm -rf %{buildroot}%{_bindir}/*

# Don't ship static libraries
rm -f %{buildroot}%{_libdir}/*.a

%changelog

* Mon Feb 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.0.4-1
- (3b4497a) Fix x86_64 library installation path


